#!/usr/bin/perl

############################################################
#
# global mappings
#
############################################################

$process = "TSMC_CM018RF_RES";

# external model references from the baseband file
%newModelCardName = (
    "ndio", "TSMC_CM018RF_BB" . "_MODEL_ndio",
    "pdio", "TSMC_CM018RF_BB" . "_MODEL_pdio",
);

%newVariableName = (
    "rprpo", $process . "_VAR_rprpo",
    "rnrpo", $process . "_VAR_rnrpo",
    "rnwod", $process . "_VAR_rnwod",
    "rps", $process . "_VAR_rps",
    "rp", $process . "_VAR_rp",
    "rnx", $process . "_VAR_rnx",
    "rns", $process . "_VAR_rns",
);

%newSubCktName = (
    "rprpo", $process . "_SUBCKT_rprpo",
    "rnrpo", $process . "_SUBCKT_rnrpo",
    "rnwod", $process . "_SUBCKT_rnwod",
    "rps", $process . "_SUBCKT_rps",
    "rp", $process . "_SUBCKT_rp",
    "rnx", $process . "_SUBCKT_rnx",
    "rns", $process . "_SUBCKT_rns",
);

$ifDefPrefix = $process . "_SECTION_";
